/* FILE: metcheck.h
 *
 * PROGRAM: Metadata, Descriptor check (metcheck).
 *
 * DESCRIPTION: Contains the metcheck's data structure used for controlling the
 *     tool's behavior.
 *
 * RCS INFO:
 *
 *	$Id: metcheck.h,v 1.1 2000/08/22 00:21:05 ToolsDev Exp arahabi $
 *
 *	$Log: metcheck.h,v $
 *	Revision 1.1  2000/08/22 00:21:05  ToolsDev
 *	Initial revision
 *
 *
 * 06/19/00  Amer Rahabi
 *
*/
#ifndef _metcheck_header
#define _metcheck_header

/* INCLUDED FILES: the following included files are here because of
 *     dependencies that exist within this header file.
*/
#include <stdio.h>
#include "odldef.h"

/* ---------------------------------------------------------------------*/

/* EXTERN VARIABLES: the following variables may be used in other files.
 *    They are defined in metcheck.c.
*/
	/* NONE */

/* ---------------------------------------------------------------------*/

/* EXTERN PROTOTYPES: the following prototypes are for functions defined
 *     in metcheck.c but which are intended for use elsewhere.
*/
	/* NONE */
/* ---------------------------------------------------------------------*/
typedef struct metArgCtrls{
  FILE *pMetFile;         /* file for the .met metadata file (set 
                          * the "-m <file>" command line option) 
                          *  */
  FILE *pDscFile;         /* file for the descriptor set with option
                          *  "-f <file>" command line
                          */
  FILE *pInstrFile;      /*  the instructions file  is for Future developement
                          * set with option -i
                          */
  FILE *pOutputFile;      /* file for the which contains final analysis of met file checking (default is STDOUT;
                          * overridden with the "-o <file>" command line
                          * option) */
  FILE *pDebugFile;      /* file for program errors (default is STDERR;
                          * overridden with the "-g <file>" command line
                          * option) */

  int verbose;    /* verbose mode flag; initialized to 0 (normal mode); set to
                   * 1 (verbose mode) with the "-v" command line option */
  int debug;      /* debug mode flag; initialized to 0 (normal mode); set to 1

                   * (debug mode) with the "-d" command line option -d */
}metArgStructure;

/* PROTOTYPES:   */

void test(AGGREGATE pRootF1, FILE *output);

int ManObjCheck(AGGREGATE pRootF1,AGGREGATE  pRootF2, FILE *output);
void checkHeader( char *header );

void checkFatalError (char *functionName, char *msg);
void checkWarnings (char *functionName, char *msg);

int CheckSynErr (FILE *, AGGREGATE  proot);
int getopt (int argc, char *const argv[], const char *opts);
#endif 
